Package com.xebialabs.xlrelease.configuration

## Class PollingSettings

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.configuration.PollingSettings

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false)
      public class PollingSettings
      extends BaseConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `POLLING_SETTINGS_ID` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PollingSettings()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `getTaskListInterval()` |
    `java.lang.Integer` | `getTaskStatusInterval()` |
    `void` | `setTaskListInterval​(java.lang.Integer taskListInterval)` |
    `void` | `setTaskStatusInterval​(java.lang.Integer taskStatusInterval)` |
    `void` | `validate()` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### POLLING_SETTINGS_ID

          public static final java.lang.String POLLING_SETTINGS_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PollingSettings

          public PollingSettings()

  - ### Method Detail

    - #### getTaskStatusInterval

          public java.lang.Integer getTaskStatusInterval()

    - #### setTaskStatusInterval

          public void setTaskStatusInterval​(java.lang.Integer taskStatusInterval)

    - #### getTaskListInterval

          public java.lang.Integer getTaskListInterval()

    - #### setTaskListInterval

          public void setTaskListInterval​(java.lang.Integer taskListInterval)

    - #### validate

          public void validate()